<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cyhal__dac_8h" kind="file" language="C++">
    <compoundname>cyhal_dac.h</compoundname>
    <includes local="no">stdint.h</includes>
    <includes local="no">stdbool.h</includes>
    <includes local="yes" refid="cy__result_8h">cy_result.h</includes>
    <includes local="yes" refid="cyhal__hw__types_8h">cyhal_hw_types.h</includes>
    <includedby local="yes" refid="cyhal__drivers_8h">cyhal_drivers.h</includedby>
    <includedby local="yes" refid="cyhal__dac_8c">cyhal_dac.c</includedby>
    <incdepgraph>
      <node id="69">
        <label>stdbool.h</label>
      </node>
      <node id="67">
        <label>cyhal_dac.h</label>
        <link refid="cyhal__dac_8h" />
        <childnode refid="68" relation="include">
        </childnode>
        <childnode refid="69" relation="include">
        </childnode>
      </node>
      <node id="68">
        <label>stdint.h</label>
      </node>
    </incdepgraph>
      <sectiondef kind="define">
      <memberdef id="group__group__hal__results__dac_1ga3b6e604e422be6f850a43f08f1aa603d" kind="define" prot="public" static="no">
        <name>CYHAL_DAC_RSLT_BAD_ARGUMENT</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a06cacdcbcf43191ea723f86b18ab68e8">CYHAL_RSLT_MODULE_DAC</ref>, 0))</initializer>
        <briefdescription>
<para>Bad argument. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dac.h" bodystart="80" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dac.h" line="80" />
      </memberdef>
      <memberdef id="group__group__hal__results__dac_1gaff56faa6b91be01024787a7e744b56c9" kind="define" prot="public" static="no">
        <name>CYHAL_DAC_RSLT_FAILED_INIT</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a06cacdcbcf43191ea723f86b18ab68e8">CYHAL_RSLT_MODULE_DAC</ref>, 1))</initializer>
        <briefdescription>
<para>Failed to initialize DAC. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dac.h" bodystart="83" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dac.h" line="83" />
      </memberdef>
      <memberdef id="group__group__hal__results__dac_1gadb02a84ea188d0a1276bff5418b21cf9" kind="define" prot="public" static="no">
        <name>CYHAL_DAC_RSLT_BAD_REF_VOLTAGE</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a06cacdcbcf43191ea723f86b18ab68e8">CYHAL_RSLT_MODULE_DAC</ref>, 2))</initializer>
        <briefdescription>
<para>Reference voltage is not set. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dac.h" bodystart="86" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dac.h" line="86" />
      </memberdef>
      <memberdef id="group__group__hal__results__dac_1ga52c202548ec3ea2d0dd782b01ebf35ce" kind="define" prot="public" static="no">
        <name>CYHAL_DAC_RSLT_BAD_OPAMP_INSTANCE</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a06cacdcbcf43191ea723f86b18ab68e8">CYHAL_RSLT_MODULE_DAC</ref>, 1))</initializer>
        <briefdescription>
<para>Bad OPAMP instance is selected. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dac.h" bodystart="89" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dac.h" line="89" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="enum">
      <memberdef id="group__group__hal__dac_1gab8bd602f1b7d91eacd4126873148e5a3" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_dac_ref_t</name>
        <enumvalue id="group__group__hal__dac_1ggab8bd602f1b7d91eacd4126873148e5a3aa38d2cb249af9c70780d9b6aaa225e24" prot="public">
          <name>CYHAL_DAC_REF_VDDA</name>
          <briefdescription>
<para>Analog supply (default) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__dac_1ggab8bd602f1b7d91eacd4126873148e5a3af87f660f3058a173c6fbdeb24528e46f" prot="public">
          <name>CYHAL_DAC_REF_VREF</name>
          <briefdescription>
<para>Internal reference. See the BSP documentation for the reference value. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_dac_ref_t: </bold><linebreak />Reference choices for the DAC.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="101" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dac.h" bodystart="97" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dac.h" line="98" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__hal__dac_1gaa33e893eccc66deff01287434a847687" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_dac_init</definition>
        <argsstring>(cyhal_dac_t *obj, cyhal_gpio_t pin)</argsstring>
        <name>cyhal_dac_init</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__dac__t">cyhal_dac_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>pin</declname>
        </param>
        <briefdescription>
<para>Initialize the DAC peripheral. </para>        </briefdescription>
        <detaileddescription>
<para>By default, the reference will be set to <ref kindref="member" refid="group__group__hal__dac_1ggab8bd602f1b7d91eacd4126873148e5a3aa38d2cb249af9c70780d9b6aaa225e24">CYHAL_DAC_REF_VDDA</ref>.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="out">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to a DAC object. The caller must allocate the memory for this object but the init function will initialize its contents. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">pin</parametername>
</parameternamelist>
<parameterdescription>
<para>The dac pin name </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the init request. On success returns <ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref>.<linebreak />
 On failure, a problem specific error code will be returned. This error could be from the HAL or lower level driver. <linebreak />
 For all other return codes, please refer to device driver documentation available in the BSP landing page </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dac.h" line="115" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__dac_1gae157cda193ce7fc45eb5b390e40d0d0b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_dac_free</definition>
        <argsstring>(cyhal_dac_t *obj)</argsstring>
        <name>cyhal_dac_free</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__dac__t">cyhal_dac_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Release the dac object. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="inout">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The dac object </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dac.h" line="121" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__dac_1ga0fd4a8c9b2b5e3b712904d3e63ed8a41" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_dac_set_reference</definition>
        <argsstring>(cyhal_dac_t *obj, cyhal_dac_ref_t ref)</argsstring>
        <name>cyhal_dac_set_reference</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__dac__t">cyhal_dac_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__dac_1gab8bd602f1b7d91eacd4126873148e5a3">cyhal_dac_ref_t</ref></type>
          <declname>ref</declname>
        </param>
        <briefdescription>
<para>Set the DAC voltage reference. </para>        </briefdescription>
        <detaileddescription>
<para>This determines the highest value that the DAC can output.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The DAC object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>ref</parametername>
</parameternamelist>
<parameterdescription>
<para>The selected voltage reference. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the reference selection request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dac.h" line="129" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__dac_1gabb6bdec361f3805b7086cef3ea3b9d56" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_dac_write</definition>
        <argsstring>(const cyhal_dac_t *obj, uint16_t value)</argsstring>
        <name>cyhal_dac_write</name>
        <param>
          <type>const <ref kindref="compound" refid="structcyhal__dac__t">cyhal_dac_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>value</declname>
        </param>
        <briefdescription>
<para>Set the output voltage, as a normalized unsigned 16-bit value (where 0 is the lowest value the DAC can output and 0xFFFF is the highest) </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;While the input value is 16 bits, the actual resolution that can be achieved is dependent on what the underlying hardware supports. See the device datasheet for details.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The dac object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">value</parametername>
</parameternamelist>
<parameterdescription>
<para>The 16-bit output value to set </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dac.h" line="141" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__dac_1ga1f3c2d83b1d94abc0c77bc55379459bb" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_dac_write_mv</definition>
        <argsstring>(const cyhal_dac_t *obj, uint16_t value)</argsstring>
        <name>cyhal_dac_write_mv</name>
        <param>
          <type>const <ref kindref="compound" refid="structcyhal__dac__t">cyhal_dac_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>value</declname>
        </param>
        <briefdescription>
<para>Set the output voltage, as an unsigned number of millivolts. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Depending on the resolution of the underlying hardware, it may not be possible to achieve the precise voltage requested. See the device datasheet for more details about the DAC resolution.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;It is an error to specify a value that is outside of the DAC's operating range.</verbatim></para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The dac object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">value</parametername>
</parameternamelist>
<parameterdescription>
<para>The number of millivolts to output set. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the write request. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dac.h" line="155" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__dac_1ga2ad162f2317e6f1666d7eadebbddca82" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint16_t</type>
        <definition>uint16_t cyhal_dac_read</definition>
        <argsstring>(cyhal_dac_t *obj)</argsstring>
        <name>cyhal_dac_read</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__dac__t">cyhal_dac_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Read the current DAC output voltage setting, as a normalized unsigned 16-bit value (where 0 is the lowest value the DAC can output and 0xFFFF is the highest). </para>        </briefdescription>
        <detaileddescription>
<para>Note: Depending on the precision of the underlying hardware, this may not precisely match the most recent value passed in to cyhal_dac_write.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The dac object </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The 16-bit output value </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dac.h" line="166" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__dac_1ga7a08830e80bd91017013c5f7cf306f0d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_dac_set_power</definition>
        <argsstring>(cyhal_dac_t *obj, cyhal_power_level_t power)</argsstring>
        <name>cyhal_dac_set_power</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__dac__t">cyhal_dac_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__general__types_1ga246fde0e79029f514ce3846b31e366d7">cyhal_power_level_t</ref></type>
          <declname>power</declname>
        </param>
        <briefdescription>
<para>Changes the current operating power level of the DAC. </para>        </briefdescription>
        <detaileddescription>
<para>If the power level is set to <ref kindref="member" refid="group__group__hal__general__types_1gga246fde0e79029f514ce3846b31e366d7a0f601c5d5843c59e58ee1988dd0e6861">CYHAL_POWER_LEVEL_OFF</ref>, the DAC will be powered-off but it will retain its configuration, so it is not necessary to reconfigure it when changing the power level from <ref kindref="member" refid="group__group__hal__general__types_1gga246fde0e79029f514ce3846b31e366d7a0f601c5d5843c59e58ee1988dd0e6861">CYHAL_POWER_LEVEL_OFF</ref> to any other value.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>dac object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">power</parametername>
</parameternamelist>
<parameterdescription>
<para>The power level to set </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the set power request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dac.h" line="178" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Provides a high level interface for interacting with the Cypress Digital to Analog Converter. </para>    </briefdescription>
    <detaileddescription>
<para>This interface abstracts out the chip specific details. If any chip specific functionality is necessary, or performance is critical the low level functions can be used directly.</para><para><simplesect kind="copyright"><para>Copyright 2018-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="62"><highlight class="preprocessor">#pragma<sp />once</highlight><highlight class="normal" /></codeline>
<codeline lineno="63"><highlight class="normal" /></codeline>
<codeline lineno="64"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdint.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="65"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdbool.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="66"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_result.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="67"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_hw_types.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="68"><highlight class="normal" /></codeline>
<codeline lineno="69"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="70"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="71"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="72"><highlight class="normal" /></codeline>
<codeline lineno="80"><highlight class="preprocessor">#define<sp />CYHAL_DAC_RSLT_BAD_ARGUMENT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="81"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_DAC,<sp />0))</highlight><highlight class="normal" /></codeline>
<codeline lineno="82"><highlight class="normal" /></codeline>
<codeline lineno="83"><highlight class="preprocessor">#define<sp />CYHAL_DAC_RSLT_FAILED_INIT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="84"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_DAC,<sp />1))</highlight><highlight class="normal" /></codeline>
<codeline lineno="85"><highlight class="normal" /></codeline>
<codeline lineno="86"><highlight class="preprocessor">#define<sp />CYHAL_DAC_RSLT_BAD_REF_VOLTAGE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="87"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_DAC,<sp />2))</highlight><highlight class="normal" /></codeline>
<codeline lineno="88"><highlight class="normal" /></codeline>
<codeline lineno="89"><highlight class="preprocessor">#define<sp />CYHAL_DAC_RSLT_BAD_OPAMP_INSTANCE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="90"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_DAC,<sp />1))</highlight><highlight class="normal" /></codeline>
<codeline lineno="91"><highlight class="normal" /></codeline>
<codeline lineno="97"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="98"><highlight class="normal">{</highlight></codeline>
<codeline lineno="99"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__dac_1ggab8bd602f1b7d91eacd4126873148e5a3aa38d2cb249af9c70780d9b6aaa225e24">CYHAL_DAC_REF_VDDA</ref>,<sp /></highlight></codeline>
<codeline lineno="100"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__dac_1ggab8bd602f1b7d91eacd4126873148e5a3af87f660f3058a173c6fbdeb24528e46f">CYHAL_DAC_REF_VREF</ref><sp /></highlight></codeline>
<codeline lineno="101"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__hal__dac_1gab8bd602f1b7d91eacd4126873148e5a3">cyhal_dac_ref_t</ref>;</highlight></codeline>
<codeline lineno="102"><highlight class="normal" /></codeline>
<codeline lineno="115"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__dac_1gaa33e893eccc66deff01287434a847687">cyhal_dac_init</ref>(<ref kindref="compound" refid="structcyhal__dac__t">cyhal_dac_t</ref><sp />*obj,<sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />pin);</highlight></codeline>
<codeline lineno="116"><highlight class="normal" /></codeline>
<codeline lineno="121"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__dac_1gae157cda193ce7fc45eb5b390e40d0d0b">cyhal_dac_free</ref>(<ref kindref="compound" refid="structcyhal__dac__t">cyhal_dac_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="122"><highlight class="normal" /></codeline>
<codeline lineno="129"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__dac_1ga0fd4a8c9b2b5e3b712904d3e63ed8a41">cyhal_dac_set_reference</ref>(<ref kindref="compound" refid="structcyhal__dac__t">cyhal_dac_t</ref><sp />*obj,<sp /><ref kindref="member" refid="group__group__hal__dac_1gab8bd602f1b7d91eacd4126873148e5a3">cyhal_dac_ref_t</ref><sp />ref);</highlight></codeline>
<codeline lineno="130"><highlight class="normal" /></codeline>
<codeline lineno="141"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__dac_1gabb6bdec361f3805b7086cef3ea3b9d56">cyhal_dac_write</ref>(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcyhal__dac__t">cyhal_dac_t</ref><sp />*obj,<sp />uint16_t<sp />value);</highlight></codeline>
<codeline lineno="142"><highlight class="normal" /></codeline>
<codeline lineno="155"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__dac_1ga1f3c2d83b1d94abc0c77bc55379459bb">cyhal_dac_write_mv</ref>(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcyhal__dac__t">cyhal_dac_t</ref><sp />*obj,<sp />uint16_t<sp />value);</highlight></codeline>
<codeline lineno="156"><highlight class="normal" /></codeline>
<codeline lineno="166"><highlight class="normal">uint16_t<sp /><ref kindref="member" refid="group__group__hal__dac_1ga2ad162f2317e6f1666d7eadebbddca82">cyhal_dac_read</ref>(<ref kindref="compound" refid="structcyhal__dac__t">cyhal_dac_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="167"><highlight class="normal" /></codeline>
<codeline lineno="178"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__dac_1ga7a08830e80bd91017013c5f7cf306f0d">cyhal_dac_set_power</ref>(<ref kindref="compound" refid="structcyhal__dac__t">cyhal_dac_t</ref><sp />*obj,<sp /><ref kindref="member" refid="group__group__hal__general__types_1ga246fde0e79029f514ce3846b31e366d7">cyhal_power_level_t</ref><sp />power);</highlight></codeline>
<codeline lineno="179"><highlight class="normal" /></codeline>
<codeline lineno="180"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="181"><highlight class="normal">}</highlight></codeline>
<codeline lineno="182"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="183"><highlight class="normal" /></codeline>
<codeline lineno="184"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />CYHAL_DAC_IMPL_HEADER</highlight><highlight class="normal" /></codeline>
<codeline lineno="185"><highlight class="normal" /><highlight class="preprocessor">#include<sp />CYHAL_DAC_IMPL_HEADER</highlight><highlight class="normal" /></codeline>
<codeline lineno="186"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CYHAL_DAC_IMPL_HEADER<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="187"><highlight class="normal" /></codeline>
    </programlisting>
    <location file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dac.h" />
  </compounddef>
</doxygen>